Subject: Re: [PATCH v22.5 09/24] refs.c: pass a list of names to skip to is_refname_available

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Oct 2014 12:26:14 -0700

Jonathan Nieder <[email-masked]> writes:

>> Will take a look over there (I really hate having to context switch
>> only to review this series, though).
>
> Here's a copy to save a trip.

The patch itself looks fine, but Gerrit really needs a way to convey
"these changes make a single topic and here is the tip" somehow.  It
could be that there is and it is not well advertised, but the end
result is I visit the URL,

  https://code-review.googlesource.com/#/q/project:git+topic:ref-transaction

pick and view a few patches at random to view the changes in pretty
side-by-side diff output (which by itself is fine), check "Download"
to see the fetch URL, when it is followed it often gives me only an
early half of the topic, get confused and scratch my head, give up
and abandon and the whole time doing so ends up being wasted.